LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Namespaces | Classes | Typedefs | Enumerations | Functions
rtl Namespace Reference

## Namespaces
| internal
| math

## Classes
class | Bootstrap
class | ByteSequence
| C++ class representing a SAL byte sequence. More...
class | Static
| Helper base class for a late-initialized (default-constructed) static variable, implementing the double-checked locking pattern correctly. More...
class | StaticWithArg
| Helper base class for a late-initialized (default-constructed) static variable, implementing the double-checked locking pattern correctly. More...
class | StaticAggregate
| Helper class for a late-initialized static aggregate, e.g. More...
class | StaticWithInit
| Helper base class for a late-initialized static variable, implementing the double-checked locking pattern correctly. More...
class | Logfile
| The intended use for class Logfile is to write time stamp information for profiling purposes. More...
class | MalformedUriException
| An exception indicating a malformed URI. More...
class | IReference
| Interface for a reference type. More...
class | Reference
| Template reference class for reference type derived from IReference. More...
class | OStringBuffer
| A string buffer implements a mutable sequence of characters. More...
class | OString
| This String class provide base functionality for C++ like 8-Bit character array handling. More...
struct | OStringHash
| A helper to use OStrings with hash maps. More...
struct | CStringEqual
| Equality functor for classic c-strings (i.e. More...
struct | CStringHash
| Hashing functor for classic c-strings (i.e. More...
class | Uri
| A wrapper around the C functions from <rtl/uri.h>. More...
class | OUStringBuffer
| A string buffer implements a mutable sequence of characters. More...
class | OUString
| This String class provides base functionality for C++ like Unicode character array handling. More...
struct | OUStringHash
| A helper to use OUStrings with hash maps. More...

## Typedefs
typedef OString | OStringLiteral
typedef OUString | OUStringLiteral

## Enumerations
enum | __ByteSequence_NoDefault { BYTESEQ_NODEFAULT = 0xcafe }
enum | __ByteSequence_NoAcquire { BYTESEQ_NOACQUIRE = 0xcafebabe }

## Functions
bool | isAscii (sal_uInt32 nUtf32)
| Check for ASCII character. More...
bool | isAsciiLowerCase (sal_uInt32 nUtf32)
| Check for ASCII lower case character. More...
bool | isAsciiUpperCase (sal_uInt32 nUtf32)
| Check for US-ASCII upper case character. More...
bool | isAsciiAlpha (sal_uInt32 nUtf32)
| Check for ASCII alphanumeric character. More...
bool | isAsciiDigit (sal_uInt32 nUtf32)
| Check for ASCII digit character. More...
bool | isAsciiAlphanumeric (sal_uInt32 nUtf32)
| Check for US-ASCII alphanumeric character. More...
bool | isAsciiCanonicHexDigit (sal_uInt32 nUtf32)
| Check for US-ASCII canonic hexadecimal digit character. More...
bool | isAsciiHexDigit (sal_uInt32 nUtf32)
| Check for US-ASCII hexadecimal digit character. More...
template<typename charT , typename traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &stream, OString const &string)
| Support for rtl::OString in std::ostream (and thus in CPPUNIT_ASSERT or SAL_INFO macros, for example). More...
OUString | OStringToOUString (const OString &rStr, rtl_TextEncoding encoding, sal_uInt32 convertFlags=OSTRING_TO_OUSTRING_CVTFLAGS)
| Convert an OString to an OUString, using a specific text encoding. More...
OString | OUStringToOString (const OUString &rUnicode, rtl_TextEncoding encoding, sal_uInt32 convertFlags=OUSTRING_TO_OSTRING_CVTFLAGS)
| Convert an OUString to an OString, using a specific text encoding. More...
template<typename charT , typename traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &stream, OUString const &string)
| Support for rtl::OUString in std::ostream (and thus in CPPUNIT_ASSERT or SAL_INFO macros, for example). More...

## Typedef Documentation

typedef OString rtl::OStringLiteral

typedef OUString rtl::OUStringLiteral

## Enumeration Type Documentation

enum rtl::__ByteSequence_NoAcquire

Enumerator
BYTESEQ_NOACQUIRE | This enum value can be used to create a bytesequence from a C-Handle without acquiring the handle.

enum rtl::__ByteSequence_NoDefault

Enumerator
BYTESEQ_NODEFAULT | This enum value can be used to create a bytesequence with uninitalized data.

## Function Documentation

bool rtl::isAscii | ( | sal_uInt32 | nUtf32 | ) |
| inline

Check for ASCII character.

Parameters

  nUtf32 | A Unicode scalar value (represented as a UTF-32 code unit).

Returns
  True if nChar is a ASCII character (0x00–0x7F).

Since
  LibreOffice 4.1

bool rtl::isAsciiAlpha | ( | sal_uInt32 | nUtf32 | ) |
| inline

Check for ASCII alphanumeric character.

Parameters

  nUtf32 | A Unicode scalar value (represented as a UTF-32 code unit).

Returns
  True if nUtf32 is a US-ASCII alphanumeric character (ASCII '0'–'9', 'A'–'Z' or 'a'–'z').

Since
  LibreOffice 4.1

bool rtl::isAsciiAlphanumeric | ( | sal_uInt32 | nUtf32 | ) |
| inline

Check for US-ASCII alphanumeric character.

Parameters

  nUtf32 | A Unicode scalar value (represented as a UTF-32 code unit).

Returns
  True if nChar is a US-ASCII alphanumeric character (US-ASCII '0'–'9', 'A'–'Z' or 'a'–'z').

Since
  LibreOffice 4.1

bool rtl::isAsciiCanonicHexDigit | ( | sal_uInt32 | nUtf32 | ) |
| inline

Check for US-ASCII canonic hexadecimal digit character.

Parameters

  nUtf32 | A Unicode scalar value (represented as a UTF-32 code unit).

Returns
  True if nChar is a US-ASCII canonic (i.e., upper case) hexadecimal digit character (US-ASCII '0'–'9' or 'A'–'F').

Since
  LibreOffice 4.1

bool rtl::isAsciiDigit | ( | sal_uInt32 | nUtf32 | ) |
| inline

Check for ASCII digit character.

Parameters

  nUtf32 | A Unicode scalar value (represented as a UTF-32 code unit).

Returns
  True if nChar is a ASCII (decimal) digit character (ASCII '0'–'9').

Since
  LibreOffice 4.1

bool rtl::isAsciiHexDigit | ( | sal_uInt32 | nUtf32 | ) |
| inline

Check for US-ASCII hexadecimal digit character.

Parameters

  nUtf32 | A Unicode scalar value (represented as a UTF-32 code unit).

Returns
  True if nChar is a US-ASCII hexadecimal digit character (US- ASCII '0'–'9', 'A'–'F', 'a'–'f').

Since
  LibreOffice 4.1

bool rtl::isAsciiLowerCase | ( | sal_uInt32 | nUtf32 | ) |
| inline

Check for ASCII lower case character.

Parameters

  nUtf32 | A Unicode scalar value (represented as a UTF-32 code unit).

Returns
  True if nChar is a US-ASCII lower case alphabetic character (ASCII 'a'–'z').

Since
  LibreOffice 4.1

bool rtl::isAsciiUpperCase | ( | sal_uInt32 | nUtf32 | ) |
| inline

Check for US-ASCII upper case character.

Parameters

  nUtf32 | A Unicode scalar value (represented as a UTF-32 code unit).

Returns
  True if nChar is a US-ASCII upper case alphabetic character (US-ASCII 'A'–'Z').

Since
  LibreOffice 4.1

template<typename charT , typename traits >

std::basic_ostream<charT, traits>& rtl::operator<< | ( | std::basic_ostream< charT, traits > & | stream,
|  | OString const & | string
| ) |  |

Support for rtl::OString in std::ostream (and thus in CPPUNIT_ASSERT or SAL_INFO macros, for example).

Since
  LibreOffice 4.0

template<typename charT , typename traits >

std::basic_ostream<charT, traits>& rtl::operator<< | ( | std::basic_ostream< charT, traits > & | stream,
|  | OUString const & | string
| ) |  |
| inline

Support for rtl::OUString in std::ostream (and thus in CPPUNIT_ASSERT or SAL_INFO macros, for example).

The rtl::OUString is converted to UTF-8.

Since
  LibreOffice 3.5.

OUString rtl::OStringToOUString | ( | const OString & | rStr,
|  | rtl_TextEncoding | encoding,
|  | sal_uInt32 | convertFlags = `OSTRING_TO_OUSTRING_CVTFLAGS`
| ) |  |
| inline

Convert an OString to an OUString, using a specific text encoding.

The lengths of the two strings may differ (e.g., for double-byte encodings, UTF-7, UTF-8).

Parameters

  rStr | an OString to convert.
  encoding | the text encoding to use for conversion.
  convertFlags | flags which control the conversion. Either use OSTRING_TO_OUSTRING_CVTFLAGS, or see http://udk.openoffice.org/cpp/man/spec/textconversion.html for more details.

OString rtl::OUStringToOString | ( | const OUString & | rUnicode,
|  | rtl_TextEncoding | encoding,
|  | sal_uInt32 | convertFlags = `OUSTRING_TO_OSTRING_CVTFLAGS`
| ) |  |
| inline

Convert an OUString to an OString, using a specific text encoding.

The lengths of the two strings may differ (e.g., for double-byte encodings, UTF-7, UTF-8).

Parameters

  rUnicode | an OUString to convert.
  encoding | the text encoding to use for conversion.
  convertFlags | flags which control the conversion. Either use OUSTRING_TO_OSTRING_CVTFLAGS, or see http://udk.openoffice.org/cpp/man/spec/textconversion.html for more details.